%global shortname winstone

Name:           jenkins-winstone
Version:        2.8
Release:        1%{?dist}
Summary:        Jenkins Winstone servlet container

License:        LGPLv2+ or CDDL
URL:            https://github.com/jenkinsci/winstone
Source0:        https://github.com/jenkinsci/%{shortname}/archive/%{shortname}-%{version}.tar.gz

# missing dep jetty-ajp
Patch0:         0001-Remove-AJP-support.patch
# make it work with Java 8
Patch1:         0002-Fix-Java-8-compatibility.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.eclipse.jetty:jetty-servlet:8.1.14.v20131031)

%description
Winstone is a servlet container that was written out of a desire to
provide servlet functionality without the bloat that full J2EE
compliance introduces.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{shortname}-%{shortname}-%{version}

%patch0 -p1
%patch1 -p1

# we don't need support for AJP (and we don't have jetty-ajp)
rm src/java/winstone/Ajp13ConnectorFactory.java
%pom_remove_dep org.eclipse.jetty:jetty-ajp

# no support for SPDY
%pom_remove_dep org.eclipse.jetty.spdy:spdy-jetty-http

# build with jetty 8
%pom_change_dep org.eclipse.jetty: ::8.1.14.v20131031

%pom_remove_plugin :maven-antrun-plugin
%pom_remove_plugin :maven-shade-plugin

# utf8 ftw
for file in LICENSE-CDDL.txt LICENSE-LGPL.txt; do
    iconv --from-code=ISO-8859-1 --to-code=UTF-8 ${file} > ${file}.utf8
    mv ${file}.utf8 ${file}
done

%build
# missing test dep org.kohsuke:ajp-client
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE-CDDL.txt LICENSE-LGPL.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE-CDDL.txt LICENSE-LGPL.txt

%changelog
* Mon Oct 27 2014 Michal Srb <msrb@redhat.com> - 2.8-1
- Update to upstream version 2.8

* Tue Sep 02 2014 Michal Srb <msrb@redhat.com> - 2.3-1
- Initial packaging

